net.dontdrinkandroot.lastfm.api.model.paginatedresult

## Interface PaginatedResult<T>

Type Parameters:
  `T` - Type of the entities on the page.

All Superinterfaces:
  Serializable

All Known Implementing Classes:
  AlbumsPaginatedResult, ArtistsPaginatedResult, EventsPaginatedResult, GenericPaginatedResult, TracksPaginatedResult, UsersPaginatedResult

    public interface PaginatedResult<T>
    extends Serializable

Wrapper class for paginated results so you can retrieve the status information to fetch the next page.

Author:
  Philip W. Sorst

### Method Summary

Methods
`T` `getEntries()` Get the entries of the current page.
`int` `getNextPage()` Get the number of the next page.
`int` `getPage()` Get the number of the current page.
`int` `getPerPage()` Get the number of entries per page.
`int` `getTotal()` Get the number of total results.
`int` `getTotalPages()` Get the number of total pages.
`boolean` `hasMorePages()` Check if the paginated result has more pages.

### Method Detail

#### getEntries

    T getEntries()

Get the entries of the current page.

#### hasMorePages

    boolean hasMorePages()

Check if the paginated result has more pages.

#### getNextPage

    int getNextPage()

Get the number of the next page.

#### getTotal

    int getTotal()

Get the number of total results.

#### getPage

    int getPage()

Get the number of the current page.

#### getPerPage

    int getPerPage()

Get the number of entries per page.

#### getTotalPages

    int getTotalPages()

Get the number of total pages.